Al actualizar, nvidia y touchpad dejan de funcionar y fallo con repositorios

Imagen de mariajo_rasta
0 puntos

Hola,

Tengo un problemilla en mi ubuntu 12.04. Ayer actualicé los paquetes después de un montón de tiempo, pues no he tenido acceso a internet desde hace unos meses. También me puso que necesitaba actualizar el kernel y, la verdad es que como no tengo ni idea, le di. A partir de ahí, dejó de funcionarme la Nvidia, el touchpad y no puedo actualizar nada más. Por ejemplo, cuando le digo que compruebe las actualizaciones, me dice lo siguiente:
W:Failed to fetch http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/so... 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found
, W:Failed to fetch http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Además, cuando le doy a recargar en el gestor de paquetes de synaptic, me sale lo siguiente:
No se pudieron descargar todos los índices de los repositorios
El repositorio quizá no esté disponible o no se pudo contactar con él por problemas en la red. Si hay disponible una versión más antigua del índice que falló, se usará esa versión. En caso contrario el repositorio se ignorará. Compruebe su conexión de red y que la dirección del repositorio esté escrita correctamente en las preferencias.
Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/so... 404 Not Found
Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found
Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found
Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

He estado buscando en foros y he encontrado algunas cosas pero, por mi desconocimiento en ubuntu, no entiendo muy bien qué es lo que tengo que hacer, pues a los que han escrito los posts no les ocurre exactamente lo que a mí y no sé qué tendría que modificar para adaptarlos a mi problema. Una de las cosas que he probado es a reparar los paquetes rotos en Synaptic, dándole a editar y reparar los paquetes rotos, pero no ocurre nada. He intentado instalar la nvidia porque me sale esto:
You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server.
Y tampoco he podido.

No sé qué hacer, a ver si alguien me puede echar una mano.

Gracias de antemano.

Un saludo,
María José.

Imagen de Jose Luis 1320
+1
+1
-1

You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server.

sudo nvidia-xconfig

Y lo de los repositorios, es más problema de los repositorios, verifica que puedas conectarte a internet.

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de mariajo_rasta
+1
0
-1

Cuando lo pongo en la terminal, me sale lo siguiente:

mariajo@mariajo-laptop:~$ sudo nvidia-xconfig
[sudo] password for mariajo:
sudo: nvidia-xconfig: orden no encontrada
mariajo@mariajo-laptop:~$

Y, ¿qué pasa con los repositorios? ¿Alguien tiene idea? Sí que me puedo conectar a internet, de hecho estos comentarios los estoy enviando desde el mismo portátil.

+1
0
-1
Imagen de Goyo
+1
+1
-1

Y, ¿qué pasa con los repositorios? ¿Alguien tiene idea?

Con el de chromium-daily, que no sirve para tu versión de ubuntu. Con los demás no veo que pase nada.

+1
+1
-1
Imagen de Jose Luis 1320
+1
+1
-1

y ¿por que no instalas nvidia-xconfig?

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de mariajo_rasta
+1
-1
-1

Mira porque me pasa esto:

mariajo@mariajo-laptop:~$ sudo apt-get install linux-headers-generic
[sudo] password for mariajo:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
linux-headers-generic ya está en su versión más reciente.
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
libgbm1-lts-trusty linux-headers-3.2.0-60 libwayland-ltst-client0
linux-headers-3.2.0-60-generic libwayland-ltss-server0 libc6-i386
lib32gcc1 nvidia-settings-331 dkms libxrandr-ltss2 libxrandr-ltst2
libwayland-ltst-server0 libegl1-mesa-lts-trusty
libxatracker2-lts-trusty libxvmc1 libxcb-xfixes0
libwayland-ltss-client0 libllvm3.3 libllvm3.3:i386
Utilice «apt-get autoremove» para eliminarlos.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
mariajo@mariajo-laptop:~$ sudo apt-get install nvidia-current
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
nvidia-current : Depende: nvidia-304 pero no va a instalarse
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
mariajo@mariajo-laptop:~$

Gracias por todas vuestras respuestas, por cierto.

+1
-1
-1
Imagen de Goyo
+1
+1
-1

Instala nvidia-304

+1
+1
-1
Imagen de mariajo_rasta
+1
-1
-1

Mirad, he aprovechado que tenía un montón de problemas y que quería pasarme a ubuntu 14.04 para formatear. Lo he hecho y se han resuelto todos los problemas que antes os relataba, salvo el tema de la Nvidia. He probado con la 304 y no hay forma, me sale esto:

mariajo@mariajo-laptop:~$ sudo apt-get install nvidia-304 nvidia-304-updates
[sudo] password for mariajo:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
nvidia-304 : Recomienda: libcuda1-304 pero no va a instalarse
Recomienda: nvidia-libopencl1-304 pero no va a instalarse
Recomienda: nvidia-opencl-icd-304 pero no va a instalarse
Entra en conflicto: xorg-driver-binary
nvidia-304-updates : Entra en conflicto: xorg-driver-binary
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
mariajo@mariajo-laptop:~$

+1
-1
-1
Imagen de mariajo_rasta
+1
0
-1

Al final, la única forma de que me fuera la Nvidia y terminar con este problema ha sido volver a formatear pero esta vez con Ubuntu 12.04 y seguir esto:
http://www.ubuntu-guia.com/2012/10/instalar-controlador-nvidia-en-ubuntu...

Lo he intentado por activa y por pasiva con Ubuntu 14.04 y no ha habido manera... Instalaba de la misma forma la gráfica y, cuando reiniciaba, se quedaba la pantalla en negro, sin posibilidad de hacer nada, abría el grub e intentaba arrancar desde ahí pero tampoco podía, así que después de un par de formateos, la única solución posible que he encontrado es la que os pongo arriba.

Por cierto, me continúa un problema que llevo teniendo desde hace meses, aún ahora que he formateado y todo, es que no va el audio interno, a no ser que ponga los auriculares. Mejor dicho, empieza a funcionar y se para, pero pongo los auriculares y va. Resulta que lo he probado antes de instalar Nvidia e iba perfectamente, después de instalarla de nuevo vuelve el problema... Este problema lo he puesto en varios posts pero nadie encuentra una solución factible... Lo comento todo aquí porque supongo que todo son problemas derivados de incompatibilidades con Nvidia, aunque la verdad es que no tengo ni idea.

Gracias por todas vuestras respuestas.

Por cierto, no sé si poner Resuelto en el asunto porque en realidad no está resuelto el problema sino que he formateado y tal... Decidme qué hago.

+1
0
-1